## ros-indigo-segbot-bringup 0.3.5

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(segbot_bringup)
find_package(catkin REQUIRED)
catkin_package()

# Install all udev files
install(DIRECTORY udev/ 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/udev)

# Install all launch files
install(DIRECTORY launch/ 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

catkin_install_python(PROGRAMS scripts/get_addr scripts/teleop_twist_keyboard
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# Install the teleoperation script for rosrun 
install(PROGRAMS 
  scripts/udev_install
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# unit tests are enabled selectively
if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)

  ## Test individual files that do work, restore testing of the
  #  rest when segway_v3 packages have been released.
  #roslaunch_add_file_check(launch) 
  roslaunch_add_file_check(launch/segbot_v1.launch)
  roslaunch_add_file_check(launch/segbot_v2.launch)
  #roslaunch_add_file_check(launch/segbot_v3.launch)
  roslaunch_add_file_check(launch/segway_base.launch)
  roslaunch_add_file_check(launch/includes)
  roslaunch_add_file_check(launch/includes/auxiliary.segbot_v1.hokuyo_only.launch.xml)
  roslaunch_add_file_check(launch/includes/auxiliary.segbot_v1.launch.xml)
  roslaunch_add_file_check(launch/includes/auxiliary.segbot_v1.no_sensors.launch.xml)
  roslaunch_add_file_check(launch/includes/auxiliary.segbot_v2.launch.xml)
  #roslaunch_add_file_check(launch/includes/auxiliary.segbot_v3.launch.xml)
endif()

=== debian/changelog ===
ros-indigo-segbot-bringup (0.3.5-0trusty) trusty; urgency=high

  * Added xtion and led strip to segbot_v3 launch file in segbot_bringup
    (#75 <https://github.com/utexas-bwi/segbot/issues/75>)
  * Contributors: Rolando Fernandez

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot-bringup (0.3.4-0trusty) trusty; urgency=high

  * roslaunch check updates
  * add missing xacro dependency
  * comment out roslaunch checks for references to unreleased Segway packages (#70 <https://github.com/utexas-bwi/segbot/issues/70>)
  * remove dependencies on unreleased Segway packages (#70 <https://github.com/utexas-bwi/segbot/issues/70>)
  * unit test fixes (#65 <https://github.com/utexas-bwi/segbot/issues/65>)
  * added additional flexability to the battery_diagnostics sendmail
    node that will now allow parameters to be set in the launch file to
    reflect local segbot differences (different threshold levels,
    etc). Appropriate values have been added for the segbot_v3 in its
    launchfile. The segbot_v3 controller now republishes battery
    information onto the topic assumed by the battery diagnostics.
  * segbot_v3: add robot monitor for diagnostics
    information onto the topic assumed by the battery diagnostics.
  * updated for hokuyo on segbot v3
  * fixed some problems in the velodyne processing chain
  * added segbot v3 support
  * Contributors: Jack O'Quin, Piyush Khandelwal, maxsvetlik

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot-bringup (0.3.3-0trusty) trusty; urgency=high

  * segbot_bringup: launch stop controller with segway base (#41 <https://github.com/utexas-bwi/segbot/issues/41>)
  * segbot_bringup: pass correct port to Arduino driver
  * fixed launch command for arduino and diagnostics. closes #36 <https://github.com/utexas-bwi/segbot/issues/36>.
  * segbot_bringup: convert to package format two (#35 <https://github.com/utexas-bwi/segbot/issues/35>)
  * segbot_bringup: add diagnostics and arduino to segbot_v2 launch (#35 <https://github.com/utexas-bwi/segbot/issues/35>)
  * segbot_bringup: minor launch file cleanup and formatting
  * Contributors: Jack O'Quin, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot-bringup (0.3.2-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot-bringup (0.3.1-0trusty) trusty; urgency=high

  * removed redundant segbot v1 models.
  * updated segbot v2 model to use correct URDF.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot-bringup (0.3.0-0trusty) trusty; urgency=high

  * fixed default depth_registered flag to allow kinect to work properly.
  * use different filters for segbot v1 and segbot v2 due to differences between different laser models.
  * added launch file for segbot v2.
  * fixed some issues with frame ids for multi robot setup.
  * Changed the value of "depth_only" to "true" so that the published point cloud contains color information as well.
  * Contributors: Jivko Sinapov, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 14 Mar 2015 05:00:00 -0000

ros-indigo-segbot-bringup (0.2.1-0trusty) trusty; urgency=high

  * segbot_bringup: install udev rules (#26 <https://github.com/utexas-bwi/segbot/issues/26>)
  * fix some problems catkin_lint discovered

 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 24 Apr 2014 05:00:00 -0000

ros-indigo-segbot-bringup (0.2.0-0trusty) trusty; urgency=high

  * Release to Hydro.
  * Added udev rules for segbot, and updated the kinect laserscan
    configuration.
  * Catkin_lint approved packages.
  * Updated descriptions and licensing information
  * Fixed licensing information from borrowed scripts.

 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 17 Apr 2014 05:00:00 -0000

ros-indigo-segbot-bringup (0.1.9-0trusty) trusty; urgency=high

  * revert update for #16 <https://github.com/utexas-bwi/segbot/issues/16> now that we can use the standard
    robot_state_publisher (#21 <https://github.com/utexas-bwi/segbot/issues/21>).

 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 15 Dec 2013 06:00:00 -0000

ros-indigo-segbot-bringup (0.1.8-0trusty) trusty; urgency=high

  * use ``roslaunch_add_files_check()`` to test that required launch
    file dependencies are declared.
  * fixed a few minor errors found on the real robot
  * added configuration with both the hokuyo and kinect in it
  * preparing to add kinect as well as the hokuyo for navigation
  * update change history
  * segbot_bringup: use roslaunch_add_file_check() (#20 <https://github.com/utexas-bwi/segbot/issues/20>)
  * Contributors: BWI, Jack O'Quin, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 04 Dec 2013 06:00:00 -0000

ros-indigo-segbot-bringup (0.1.7-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 03 Sep 2013 05:00:00 -0000

ros-indigo-segbot-bringup (0.1.6-0trusty) trusty; urgency=high

  * removed nodelet manager reuse for depthimage_to_laserscan for the time being
  * added a script for getting the ip address
  * fixed segbot_bringup to work with upcoming changes to freenect/openni launch files
  * fixed tf prefix setting for gazebo openni_kinect plugin
  * adding prefix enabled copy of robot_state_publisher. closes #16 <https://github.com/utexas-bwi/segbot/issues/16>
  * cleaned up segbot description
  * renamed all internal launch files to xml. They don't show up in roslaunch any more. closes #15 <https://github.com/utexas-bwi/segbot/issues/15>
  * moved joint state publisher to auxiliary files - now runs on both the real robots and in simulation. closes #14 <https://github.com/utexas-bwi/segbot/issues/14>


=== debian/control ===
Source: ros-indigo-segbot-bringup
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/segbot_bringup
Standards-Version: 3.9.2

Package: ros-indigo-segbot-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-netifaces, ros-indigo-bwi-logging, ros-indigo-dynamic-reconfigure, ros-indigo-joint-state-publisher, ros-indigo-robot-state-publisher (>= 1.9.10), ros-indigo-segbot-description, ros-indigo-segbot-sensors, ros-indigo-segway-rmp, ros-indigo-smart-battery-msgs, ros-indigo-stop-base, ros-indigo-tf, ros-indigo-xacro
Description: Contains launch files and runtime scripts necessary for running segbots in simulation and in the real world.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-segbot-bringup//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
